// mixin mobile
// screen-319px
@mixin mobile-xxs {
  @media (max-width: #{$screen-xxs - 161px}) {
    @content;
  }
}
@mixin mobile-xs {
  @media (max-width: #{$screen-xxs - 100px}) {
    @content;
  }
}
// screen-480px
@mixin mobile-sm {
  @media (max-width: #{$screen-xxs}) {
    @content;
  }
}
// screen-640px
@mixin mobile-md {
  @media (max-width: #{$screen-xs}) {
    @content;
  }
}
// screen-767px
@mixin mobile-lg {
  @media (max-width: #{$screen-sm - 1px}) {
    @content;
  }
}
// end mixin mobile


// mixin tablet
// screen-768px
@mixin tablet-sm {
  @media (max-width: #{$screen-sm}) {
    @content;
  }
}
// screen-992px
@mixin tablet-md {
  @media (max-width: #{$screen-md - 32px}) {
    @content;
  }
}
// screen-1024px
@mixin tablet-lg {
  @media (max-width: #{$screen-md}) {
    @content;
  }
}

// desktop max-width
// screen-1200px
@mixin desktop-md-max {
  @media (max-width: #{$screen-lg}) {
    @content;
  }
}

// desktop min-width
// screen-768px
@mixin desktop-xs {
  @media (min-width: #{$screen-sm}) {
    @content;
  }
}
// screen-1024px
@mixin desktop-sm {
  @media (min-width: #{$screen-md}) {
    @content;
  }
}
// screen-1200px
@mixin desktop-md {
  @media (min-width: #{$screen-lg}) {
    @content;
  }
}
// screen-1366px
@mixin desktop-lg {
  @media (min-width: #{$screen-xl}) {
    @content;
  }
}
// screen-2560px
@mixin desktop-xlg {
  @media (min-width: #{$screen-xxl}) {
    @content;
  }
}


// landscape - 374px
@mixin landscape-mobile {
  @media (max-height: #{$screen-xxs - 106px }) {
    @content;
  }
}
// landscape
@mixin landscape {
  @media screen and (orientation: landscape) {
    @content;
  }
}

// mixin retina
@mixin retina {
  @media only screen and (-webkit-min-device-pixel-ratio: 2),
    only screen and (min--moz-device-pixel-ratio: 2),
    only screen and (-o-min-device-pixel-ratio: 2/1),
    only screen and (min-device-pixel-ratio: 2),
    only screen and (min-resolution: 192dpi),
    only screen and (min-resolution: 2dppx) {
    @content;
  }
}

// mobile max-height screen-600px
@mixin mobile-md-h {
  @media (max-height: #{60rem}) {
    @content;
  }
}